> For the complete documentation index, see [llms.txt](https://docs.fusion.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fusion.vectra.ai/api-reference/create-a-netography-api-key.md).

# Create a Netography API Key

To authenticate to the API, you need to create a new API key and then save the `netosecret` field displayed when saving the API key.

If you are using an older API client that requires you provide an `appname`, `appkey`, and `sharedsecret`, convert the `netosecret` to those fields at:[Decoding netosecret](https://docs.netography.com/reference/netosecret).

#### Adding a new API Key

1. In the Netography portal, select **Settings** at the bottom of the left-hand navigation menu
2. In the **User Management** section of Settings, select **API Keys**.
3. Select the **Add API Key** button.
4. Complete the fields and click Save.
5. Select the clipboard icon to copy the `netoseceret` value to your clipboard. You cannot retrieve this value again after you leave this screen.
6. Paste the clipboard value into a secure storage location for your secret. Using a secrets manager or vault is recommended.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fusion.vectra.ai/api-reference/create-a-netography-api-key.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
